# ---+ Extensions
# ---++ StringifierContrib

# **BOOLEAN EXPERT**
# Debug setting
$Foswiki::cfg{StringifierContrib}{Debug} = 0;

# ---+++ Indexer 
# **SELECT w3m, lynx, links, html2text **
# Select which HTML indexer to use (you need to install the respective tool of course)
$Foswiki::cfg{StringifierContrib}{HtmlIndexer} = 'w3m';

# **SELECT abiword, antiword, catdoc, soffice, wv,none **
# Select which MS Word indexer to use (you need to have antiword, abiword or wvText installed).
# <dl>
# <dt>abiword</dt><dd></dd>
# <dt>antiword</dt><dd>chould be used on Linux/Unix but may have problems with doc files generated by OpenOffice (default)</dd>
# <dt>catdoc</dt><dd></dd>
# <dt>soffice</dt><dd>is the most capable of all converters but may be slow</dd>
# <dt>wv</dt><dd></dd>
# <dt>none</dt><dd>don't index word documents</dd>
# </dl>
$Foswiki::cfg{StringifierContrib}{WordIndexer} = 'antiword';

# **SELECT catppt,ppthtml,soffice,none**
# Select which indexer to use to extract the text of a PPT file.
# Note that PPTX files are allways processed by the pptx2txtCmd script.
# <dl>
# <dt>catppt</dt><dd>use catppt </dd>
# <dt>ppthtml</dt><dd>uses ppthtml </dd>
# <dt>soffice</dt><dd>is the most capable of all converters but may be slow</dd>
# <dt>none</dt><dd>don't index powerpoint documents</dd>
# </dl>
$Foswiki::cfg{StringifierContrib}{PowerpointIndexer} = 'catppt';

# **SELECT script,soffice,none**
# Select which indexer to use to extract the text of an XLS file.
# <dl>
# <dt>script</dt><dd>default </dd>
# <dt>soffice</dt><dd>is the most capable of all converters but may be slow</dd>
# <dt>none</dt><dd>don't index excel documents</dd>
# </dl>
$Foswiki::cfg{StringifierContrib}{ExcelIndexer} = 'script';

# **SELECT script,xlsx2csv,soffice,none**
# Select which indexer to use to extract the text of an XLS file.
# <dl>
# <dt>script</dt><dd>(default)</dd>
# <dt>xlsx2csv</dt><dd></dd>
# <dt>soffice</dt><dd></dd>
# <dt>none</dt><dd>don't index excel documents</dd>
# </dl>
$Foswiki::cfg{StringifierContrib}{Excel2Indexer} = 'script';

# ---+++ Commands
# **COMMAND CHECK='undefok' **
# Abiword command (used to convert MS word documents: .doc)
$Foswiki::cfg{StringifierContrib}{AbiwordCmd} = 'abiword --to=%TMPFILE|F% %FILENAME|F%';

# **COMMAND CHECK='undefok' **
# Ebook-convert command (used to convert common ebook file formats)
$Foswiki::cfg{StringifierContrib}{Ebook2txtCmd} = 'ebook-convert %FILENAME|F% %TMPFILE|F%';

# **COMMAND CHECK='undefok'**
# Soffice command (used to convert MS word documents: .doc and .docx)
$Foswiki::cfg{StringifierContrib}{SofficeCmd} = 'soffice --convert-to %FORMAT|S% --invisible --headless --minimized --outdir %OUTDIR|F% %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# Antiword command (used to convert MS word documents: .doc).
# On a hosted server, you might need to tell antiword where to look for
# its mapping files using some environment directives:
# <code>/usr/bin/env ANTIWORDHOME=/home2/mydomain/.antiword /home2/mydomain/bin/antiword</code>
$Foswiki::cfg{StringifierContrib}{AntiwordCmd} = 'antiword %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# wvText command (used to convert MS word documents: .doc)
$Foswiki::cfg{StringifierContrib}{WvTextCmd} = 'wvText %FILENAME|F% %TMPFILE|F%';

# **COMMAND CHECK='undefok'**
# ppthtml command (used to convert MS powerpoint documents: .ppt)
$Foswiki::cfg{StringifierContrib}{PpthtmlCmd} = 'ppthtml %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# catppt command (used to convert MS powerpoint documents: .ppt)
$Foswiki::cfg{StringifierContrib}{CatpptCmd} = 'catppt %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# catdoc command (used to convert MS word documents: .doc)
$Foswiki::cfg{StringifierContrib}{CatdocCmd} = 'catdoc %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# odt2txt command (used to convert OpenDocument and Staroffice documents: .odt, .odp, sxw, sxc, ...)
$Foswiki::cfg{StringifierContrib}{Odt2txtCmd} = 'odt2txt --encoding=UTF-8 %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# Html2text command
$Foswiki::cfg{StringifierContrib}{Html2textCmd} = 'html2text -nobs -utf8 %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# w3m command
$Foswiki::cfg{StringifierContrib}{W3mCmd} = 'w3m -dump %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# lynx command
$Foswiki::cfg{StringifierContrib}{LynxCmd} = 'lynx -dump %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# links command
$Foswiki::cfg{StringifierContrib}{LinksCmd} = 'links -dump %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# pdftotext command (used to convert PDF files)
$Foswiki::cfg{StringifierContrib}{PdftotextCmd} = 'pdftotext %FILENAME|F% -enc UTF-8 -nopgbrk -q -';

# **COMMAND CHECK='undefok'**
# pptx2txt.pl command (used to convert MS powerpoint recent documents: .pptx)
$Foswiki::cfg{StringifierContrib}{Pptx2txtCmd} = '$Foswiki::cfg{ToolsDir}/pptx2txt.pl %FILENAME|F% -';

# **COMMAND CHECK='undefok'**
# docx2txt.pl command (used to convert MS word recent documents: .docx)
$Foswiki::cfg{StringifierContrib}{Docx2txtCmd} = '$Foswiki::cfg{ToolsDir}/docx2txt.pl %FILENAME|F% -';

# **COMMAND CHECK='undefok'**
# xls2txt.pl command (used to convert MS excel recent documents: .xls)
$Foswiki::cfg{StringifierContrib}{Xls2txtCmd} = '$Foswiki::cfg{ToolsDir}/xls2txt.pl %FILENAME|F% -';

# **COMMAND CHECK='undefok'**
# xlsx2txt.pl command (used to convert newer MS Excel documents .xlsx)
$Foswiki::cfg{StringifierContrib}{Xlsx2txtCmd} = '$Foswiki::cfg{ToolsDir}/xlsx2txt.pl %FILENAME|F% -';

# **COMMAND CHECK='undefok'**
# xlsx2csv command (used to convert MS word documents: .doc)
$Foswiki::cfg{StringifierContrib}{Xlsx2csvCmd} = '/usr/bin/xlsx2csv -i -d tab %FILENAME|F%';

# **COMMAND CHECK='undefok'**
# tesseract command
$Foswiki::cfg{StringifierContrib}{TesseractCmd} = 'tesseract %FILENAME|F% -';

1;
